petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexRebalanceSharedPoints

Redistribute points in the plex that are shared in order to achieve better balancing. This routine updates the PointSF of the DM inplace.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRebalanceSharedPoints(DM dm, PetscInt entityDepth, PetscBool useInitialGuess, PetscBool parallel, PetscBool *success)

### Input parameters

| dm | - The DMPlex object.
| entityDepth | - depth of the entity to balance (0 -> balance vertices).
| useInitialGuess | - whether to use the current distribution as initial guess (only used by ParMETIS).
| parallel | - whether to use ParMETIS and do the partition in parallel or whether to gather the graph onto a single process and use METIS.

### Output parameters

success -whether the graph partitioning was successful or not. If not, try useInitialGuess=True and parallel=True.

### Level

intermediate

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages